# Method: projects.locations.operations.cancel

- [HTTP request](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#body.aspect)
- [Try it!](https://docs.cloud.google.com/kubernetes-engine/docs/reference/rest/v1/projects.locations.operations/cancel#try-it)

Cancels the specified operation.

### HTTP request

`POST https://container.googleapis.com/v1/{name=projects/*/locations/*/operations/*}:cancel`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name (project, location, operation id) of the operation to cancel. Specified in the format `projects/*/locations/*/operations/*`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "projectId": string, "zone": string, "operationId": string } ``` |

| Fields ||
|---|---|
| `projectId (deprecated)` | `string` Deprecated. The Google Developers Console [project ID or project number](https://cloud.google.com/resource-manager/docs/creating-managing-projects). This field has been deprecated and replaced by the name field. |
| `zone (deprecated)` | `string` Deprecated. The name of the Google Compute Engine [zone](https://cloud.google.com/compute/docs/zones#available) in which the operation resides. This field has been deprecated and replaced by the name field. |
| `operationId (deprecated)` | `string` Deprecated. The server-assigned `name` of the operation. This field has been deprecated and replaced by the name field. |

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/container`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).